using System;
using System.Collections.Generic;
using System.Linq;
using System.Numerics;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            while (t-- > 0)
            {
                long n = long.Parse(Console.ReadLine());
                long suma = 0;
                if (n <= 10) suma = n;
                else if (n < 25) suma = 10;
                else if (n < 30) suma = 10 + n - 24;
                else if (n < 35) suma = 15;
                else if (n < 37) suma = 16;
                else if (n < 40) suma = 16 + n - 36;
                else if (n < 45) suma = 19;
                else if (n < 47) suma = 20;
                else if (n < 50) suma = 20 + n - 46;
                else if (n < 55) suma = 23;
                else if (n < 60) suma = 23 + n - 54;
                else if (n < 67) suma = 28;
                else if (n < 70) suma = 28 + n - 66;
                else if (n < 77) suma = 31;
                else if (n < 80) suma = 31 + n - 76;
                else if (n < 88) suma = 34;
                else if (n < 90) suma = 34 + n - 87;
                else if (n < 99) suma = 36;
                else if (n < 255) suma = 37;

                else if (n < 260) suma = 37 + n - 254;
                else if (n < 267) suma = 42;
                else if (n < 270) suma = 42 + n - 266;
                else if (n < 277) suma = 45;

                else if (n < 280) suma = 45 + n - 276;
                else if (n < 288) suma = 48;
                else if (n < 290) suma = 48 + n - 287;
                else if (n < 299) suma = 50;
                else if (n < 355) suma = 51;


                else if (n < 360) suma = 51 + n - 354;
                else if (n < 367) suma = 56;
                else if (n < 370) suma = 56 + n - 366;
                else if (n < 377) suma = 59;
                else if (n < 380) suma = 59 + n - 376;
                else if (n < 388) suma = 62;
                else if (n < 390) suma = 62 + n - 387;
                else if (n < 399) suma = 64;
                else if (n < 455) suma = 65;

                else if (n < 460) suma = 65 + n - 454;
                else if (n < 467) suma = 70;
                else if (n < 470) suma = 70 + n - 466;
                else if (n < 477) suma = 73;
                else if (n < 480) suma = 73 + n - 476;
                else if (n < 488) suma = 75;
                else if (n < 490) suma = 75 + n - 487;
                else if (n < 499) suma = 77;
                else if (n < 555) suma = 78;

                else if (n < 560) suma = 78 + n - 554; 




                Console.WriteLine(suma);
            }

        }
    }
}